Skip to content
Ordinal
Esc
↑↓navigate↵open⌘Jpreview

List slack webhooks

List all Slack webhooks (connected marketing boost channels) for the current workspace. Use an id from this list as slackWebhookId when creating a slack boost.

GET/slack-webhooks
Authorization
AuthorizationBearer token · headerrequired

API key authentication. Generate an API key from your workspace settings.

Responses
200

List of Slack webhooks

slackWebhooksSlackWebhook[]
Show properties
Array of SlackWebhook
idstring<uuid>
channelNamestring
teamNamestring
teamIconUrlstring | null

Slack team icon URL when available

notifyByDefaultboolean

When true, new posts auto-include a slack boost for this channel unless removed

createdAtstring<date-time>
updatedAtstring<date-time>
401

Unauthorized - Missing or invalid API key

codestring
messagestring
Try it
Server
Authorization
Request
curl -X GET 'https://app.tryordinal.com/api/v1/slack-webhooks' \
  -H 'Authorization: Bearer YOUR_TOKEN'
Response
{
  "slackWebhooks": [
    {
      "id": "550e8400-e29b-41d4-a716-446655440920",
      "channelName": "marketing-boost",
      "teamName": "Acme Corp",
      "teamIconUrl": "https://example.com/team-icon.png",
      "notifyByDefault": true,
      "createdAt": "2026-01-10T09:00:00.000Z",
      "updatedAt": "2026-01-14T16:20:00.000Z"
    }
  ]
}